Results 1 to 3 of 3

Thread: Cannot use listswiper plugin in Cordova IOS app

  1. #1
    Sencha User
    Join Date
    Jul 2015
    Posts
    2
    Vote Rating
    0
      0  

    Default Answered: Cannot use listswiper plugin in Cordova IOS app

    Using Ext Js Modern 6.6

    Trying to have a 'list' with a swipe action, so I added the 'listswiper' plugin. Code works fine in a browser; however, when I build app for IOS, when I run code through Simulator all I get is a white screen when the app starts.

    Do I have to include something else in my project for the plugin to work?

    Here is how I create the panel :
    {
    xtype : 'list',
    itemId : 'favoritesPanel',
    striped : true,
    store : {
    fields: ['stopId', 'text', 'lineHtml' ],
    },
    itemTpl: '<div class="mta-line">{lineHtml}</div>'

    plugins: [{
    type: 'listswiper',
    left: [{
    iconCls: 'x-fa fa-close',
    text: 'Delete',
    itemId : 'removeFromFavoritesBtn',
    commit : 'onCall'


    }]
    }]

    },

  2. Hello,

    Thank you for reaching Sencha Support!

    Try to add the below requires section in the class



    requires: [
    'Ext.dataview.listswiper.ListSwiper',
    'Ext.dataview.listswiper.Stepper'
    ]

    Regards,
    Kumar
    Sencha Support.

  3. #2
    Ext Support Team
    Join Date
    Jan 2018
    Posts
    427
    Answers
    5
    Vote Rating
    -309
      0  

    Default

    Hello,

    Thank you for reaching Sencha Support!

    Try to add the below requires section in the class



    requires: [
    'Ext.dataview.listswiper.ListSwiper',
    'Ext.dataview.listswiper.Stepper'
    ]

    Regards,
    Kumar
    Sencha Support.

  4. #3
    Sencha User
    Join Date
    Jul 2015
    Posts
    2
    Vote Rating
    0
      0  

    Default

    Thank You. This resolved my issue, and swiper works as expected on my IOS app.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •